Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.postgres
Class PostgresQualifierTranslator

    java.lang.Object
      org.apache.cayenne.access.trans.QueryAssemblerHelper
          org.apache.cayenne.access.trans.QualifierTranslator
              org.apache.cayenne.access.trans.TrimmingQualifierTranslator
                  org.apache.cayenne.dba.postgres.PostgresQualifierTranslator

All Implemented Interfaces:
  TraversalHandler

    public class PostgresQualifierTranslator

extends TrimmingQualifierTranslator

Uses Postgres extensions to optimize various translations.

Since:
  1.1
Author:
  Andrus Adamchik

Field Summary

Fields inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator
`trimFunction`

Fields inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`matchingObject, objectMatchTranslator, qualBuf, translateParentQual`

Fields inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`queryAssembler`

Constructor Summary
`PostgresQualifierTranslator(QueryAssembler queryAssembler)`

Method Summary
`void` | `endNode(Expression node, Expression parentNode)` Called during the traversal after an expression node children processing is finished.
`void` | `finishedChild(Expression node, int childIndex, boolean hasMoreChildren)` Opportunity to insert an operation
`void` | `startNode(Expression node, Expression parentNode)` Called during the traversal before an expression node children processing is started.

Methods inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator
`getTrimFunction, processColumn, processColumn, setTrimFunction`

Methods inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`appendLiteral, appendObjectMatch, detectObjectMatch, doTranslation, extractQualifier, getObjEntity, isTranslateParentQual, objectNode, parenthesisNeeded, processRelTermination, setTranslateParentQual`

Methods inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`appendDbPath, appendLiteralDirect, appendObjPath, getDbEntity, getQueryAssembler, paramsDbType, processColumn, processRelTermination, setQueryAssembler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostgresQualifierTranslator

    public PostgresQualifierTranslator(QueryAssembler queryAssembler)

Method Detail

### startNode

    public void startNode(Expression node,
                          Expression parentNode)

  Description copied from interface: `TraversalHandler`
  Called during the traversal before an expression node children processing is started.

  Specified by:
    `startNode` in interface `TraversalHandler`
  Overrides:
    `startNode` in class `QualifierTranslator`

### endNode

    public void endNode(Expression node,
                        Expression parentNode)

  Description copied from interface: `TraversalHandler`
  Called during the traversal after an expression node children processing is finished.

  Specified by:
    `endNode` in interface `TraversalHandler`
  Overrides:
    `endNode` in class `QualifierTranslator`

### finishedChild

    public void finishedChild(Expression node,
                              int childIndex,
                              boolean hasMoreChildren)

  Description copied from class: `QualifierTranslator`
  Opportunity to insert an operation

  Specified by:
    `finishedChild` in interface `TraversalHandler`
  Overrides:
    `finishedChild` in class `QualifierTranslator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.